LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs
dispatcher.h File Reference
`#include <sal/types.h>`
`#include <rtl/ustring.h>`
`#include <uno/any2.h>`

Go to the source code of this file.

## Classes
struct | _uno_Interface
| The binary C uno interface description. More...

## Typedefs
typedef void(* | uno_DispatchMethod )(struct _uno_Interface *pUnoI, const struct _typelib_TypeDescription *pMemberType, void *pReturn, void *pArgs[], uno_Any **ppException)
| Function pointer declaration for the binary C uno dispatch function. More...
typedef struct _uno_Interface | uno_Interface
| The binary C uno interface description. More...

## Typedef Documentation

typedef void( * uno_DispatchMethod)(struct _uno_Interface *pUnoI, const struct _typelib_TypeDescription *pMemberType, void *pReturn, void *pArgs[], uno_Any **ppException)

Function pointer declaration for the binary C uno dispatch function.

Any pure out or return value will be constructed by the callee, iff no exception is signalled. If an exception is signalled, the any *ppException is properly constructed by the callee, otherwise the pointer *ppException is set to 0. An attribute get call is indicated by a non-null return pointer.

Parameters

  pUnoI | uno interface the call is performed on
  pMemberType | member type description of a method or attribute
  pReturn | pointer to return value memory; pointer may be undefined if void method, null if attribute set call.
  pArgs | an array of pointers to arguments values. (remark: the value of an interface reference stores a uno_interface *, so you get it by *(uno_Interface **)pArgs[n])
  ppException | pointer to pointer to unconstructed any to signal an exception.

typedef struct _uno_Interface uno_Interface

The binary C uno interface description.